Subject: Re: [PATCH 3/20] [powerpc] Remove linux,pci-domain properties

From: Jeremy Kerr <[email-masked]>
Date: Wed, 5 Jul 2006 09:22:18 +1000

Milton,

> Without looking at the mentioned utilities, DLPAR and PCI Hotplug get
> a location code, so I'm hoping that the pci slot name is identified
> by that.  Is lsvpd scanning?  Or does it scan sysfs first and
> /proc/device-tree secondarly?

Yes, lsvpd scans sysfs first, then uses devspec to refer to the device 
tree. and AFAICT, the slot id can't be extracted from the location 
code.

So you're saying that the linux,pci-domain property is still in use, 
right? If so, I'll do up a patch to fix add_linux_pci_domain rather 
than removing it.

Cheers,

Jeremy